**[@iota/iota.js](../README.md)**

> [Globals](../README.md) / "binary/common"

# Module: "binary/common"

## Index

### Variables

* [ARRAY\_LENGTH](_binary_common_.md#array_length)
* [BYTE\_SIZE](_binary_common_.md#byte_size)
* [MERKLE\_PROOF\_LENGTH](_binary_common_.md#merkle_proof_length)
* [MESSAGE\_ID\_LENGTH](_binary_common_.md#message_id_length)
* [SMALL\_TYPE\_LENGTH](_binary_common_.md#small_type_length)
* [STRING\_LENGTH](_binary_common_.md#string_length)
* [TRANSACTION\_ID\_LENGTH](_binary_common_.md#transaction_id_length)
* [TYPE\_LENGTH](_binary_common_.md#type_length)
* [UINT16\_SIZE](_binary_common_.md#uint16_size)
* [UINT32\_SIZE](_binary_common_.md#uint32_size)
* [UINT64\_SIZE](_binary_common_.md#uint64_size)

## Variables

### ARRAY\_LENGTH

• `Const` **ARRAY\_LENGTH**: number = UINT16\_SIZE

Byte length for an array length.

___

### BYTE\_SIZE

• `Const` **BYTE\_SIZE**: number = 1

Byte length for a byte field.

___

### MERKLE\_PROOF\_LENGTH

• `Const` **MERKLE\_PROOF\_LENGTH**: number = Blake2b.SIZE\_256

Byte length for a merkle prrof.

___

### MESSAGE\_ID\_LENGTH

• `Const` **MESSAGE\_ID\_LENGTH**: number = Blake2b.SIZE\_256

Byte length for a message id.

___

### SMALL\_TYPE\_LENGTH

• `Const` **SMALL\_TYPE\_LENGTH**: number = BYTE\_SIZE

Byte length for a small type length.

___

### STRING\_LENGTH

• `Const` **STRING\_LENGTH**: number = UINT16\_SIZE

Byte length for a string length.

___

### TRANSACTION\_ID\_LENGTH

• `Const` **TRANSACTION\_ID\_LENGTH**: number = Blake2b.SIZE\_256

Byte length for a transaction id.

___

### TYPE\_LENGTH

• `Const` **TYPE\_LENGTH**: number = UINT32\_SIZE

Byte length for a type length.

___

### UINT16\_SIZE

• `Const` **UINT16\_SIZE**: number = 2

Byte length for a uint16 field.

___

### UINT32\_SIZE

• `Const` **UINT32\_SIZE**: number = 4

Byte length for a uint32 field.

___

### UINT64\_SIZE

• `Const` **UINT64\_SIZE**: number = 8

Byte length for a uint64 field.
